aboutsummaryrefslogtreecommitdiffstats
path: root/release
diff options
context:
space:
mode:
authorThomas Kriechbaumer <thomas@kriechbaumer.name>2020-04-11 12:25:56 +0200
committerThomas Kriechbaumer <thomas@kriechbaumer.name>2020-04-11 12:25:56 +0200
commit55527c00eb35bf3b07b361363fd8ca2961afc8ba (patch)
tree4d9067ff2bcfd921dcb24852b522537f948e6801 /release
parent5ea75a1a8176f764429fb45875626b1b7ef6644c (diff)
downloadmitmproxy-55527c00eb35bf3b07b361363fd8ca2961afc8ba.tar.gz
mitmproxy-55527c00eb35bf3b07b361363fd8ca2961afc8ba.tar.bz2
mitmproxy-55527c00eb35bf3b07b361363fd8ca2961afc8ba.zip
docs: rename docs scripts and improve template
Diffstat (limited to 'release')
-rw-r--r--release/README.md8
-rwxr-xr-xrelease/docker/docker-entrypoint.sh17
2 files changed, 14 insertions, 11 deletions
diff --git a/release/README.md b/release/README.md
index 8632d644..1de0824f 100644
--- a/release/README.md
+++ b/release/README.md
@@ -37,10 +37,10 @@ These steps assume you are on the correct branch and have a git remote called `o
`export VERSION=4.0.3 && docker pull mitmproxy/mitmproxy:$VERSION && docker tag mitmproxy/mitmproxy:$VERSION mitmproxy/mitmproxy:latest && docker push mitmproxy/mitmproxy:latest`.
### Docs
- - `./build-current`. If everything looks alright, continue with
- - `./upload-stable`,
- - `./build-archive`, and
- - `./upload-archive v4`. Doing this now already saves you from switching back to an old state on the next release.
+ - `./build.sh`. If everything looks alright, continue with
+ - `./upload-stable.sh`,
+ - `DOCS_ARCHIVE=true ./build.sh`, and
+ - `./upload-archive.sh v4`. Doing this now already saves you from switching back to an old state on the next release.
### Website
- Update version here:
diff --git a/release/docker/docker-entrypoint.sh b/release/docker/docker-entrypoint.sh
index a4abe4ce..7bb3028a 100755
--- a/release/docker/docker-entrypoint.sh
+++ b/release/docker/docker-entrypoint.sh
@@ -1,13 +1,16 @@
-#!/bin/sh
-set -e
+#!/usr/bin/env bash
+
+set -o errexit
+set -o pipefail
+set -o nounset
+# set -o xtrace
MITMPROXY_PATH="/home/mitmproxy/.mitmproxy"
if [[ "$1" = "mitmdump" || "$1" = "mitmproxy" || "$1" = "mitmweb" ]]; then
- mkdir -p "$MITMPROXY_PATH"
- chown -R mitmproxy:mitmproxy "$MITMPROXY_PATH"
-
- su-exec mitmproxy "$@"
+ mkdir -p "$MITMPROXY_PATH"
+ chown -R mitmproxy:mitmproxy "$MITMPROXY_PATH"
+ su-exec mitmproxy "$@"
else
- exec "$@"
+ exec "$@"
fi